/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.compute.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for HealthStatus.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Compute Engine API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class HealthStatus extends GenericJson {

  /**
   * Health state of the instance.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String healthState;

  /**
   * URL of the instance resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String instance;

  /**
   * The IP address represented by this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String ipAddress;

  /**
   * Health state of the instance.
   * The value returned may be {@code null}.
   */
  public String getHealthState() {
    return healthState;
  }

  /**
   * Health state of the instance.
   * The value set may be {@code null}.
   */
  public HealthStatus setHealthState(String healthState) {
    this.healthState = healthState;
    return this;
  }

  /**
   * URL of the instance resource.
   * The value returned may be {@code null}.
   */
  public String getInstance() {
    return instance;
  }

  /**
   * URL of the instance resource.
   * The value set may be {@code null}.
   */
  public HealthStatus setInstance(String instance) {
    this.instance = instance;
    return this;
  }

  /**
   * The IP address represented by this resource.
   * The value returned may be {@code null}.
   */
  public String getIpAddress() {
    return ipAddress;
  }

  /**
   * The IP address represented by this resource.
   * The value set may be {@code null}.
   */
  public HealthStatus setIpAddress(String ipAddress) {
    this.ipAddress = ipAddress;
    return this;
  }

}
