/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.compute.model;

import com.google.api.client.json.GenericJson;

/**
 * A set of instance tags.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Compute Engine API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Tags extends GenericJson {

  /**
   * Fingerprint of this resource. A hash of the tags stored in this object. This field is used
   * optimistic locking. An up-to-date tags fingerprint must be provided in order to modify tags.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String fingerprint;

  /**
   * An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> items;

  /**
   * Fingerprint of this resource. A hash of the tags stored in this object. This field is used
   * optimistic locking. An up-to-date tags fingerprint must be provided in order to modify tags.
   * The value returned may be {@code null}.
   */
  public String getFingerprint() {
    return fingerprint;
  }

  /**
   * Fingerprint of this resource. A hash of the tags stored in this object. This field is used
   * optimistic locking. An up-to-date tags fingerprint must be provided in order to modify tags.
   * The value set may be {@code null}.
   */
  public Tags setFingerprint(String fingerprint) {
    this.fingerprint = fingerprint;
    return this;
  }

  /**
   * An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getItems() {
    return items;
  }

  /**
   * An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.
   * The value set may be {@code null}.
   */
  public Tags setItems(java.util.List<String> items) {
    this.items = items;
    return this;
  }

}
